#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "../inc/config.h"
#include "genUtil.h"
#include "String.h"
#include "File.h"
#include "Memory.h"


void
init0(mrcImageAssignedToTFofPDBInfo* info)
{
    info->fptIn = NULL;    info->flagIn = 0;
    info->fptInPDB = NULL;    info->flagInPDB = 0;
    info->fptOut = NULL;    info->flagOut = 0;
    info->HighLevel = 0;    info->flagHighLevel = 0;
    info->LowLevel = -1;    info->flagLowLevel = 0;
    info->fptconfigFile = NULL;    info->flagconfigFile = 0;
    info->mode = 0;    info->flagmode = 0;
}

void
init1(mrcImageAssignedToTFofPDBInfo* info)
{
    char s[1024];
    int i;
    if(!info->flagIn) {
        stringGetFromFile(s, "In", stdin, stdout, 0);
        info->In = stringGetNthWord(s, 1, " ,");
        info->flagIn++;
    }
    if(info->flagIn) {
        info->fptIn = fileOpen(info->In, "r");
    }
    
    if(!info->flagInPDB) {
        stringGetFromFile(s, "InPDB", stdin, stdout, 0);
        info->InPDB = stringGetNthWord(s, 1, " ,");
        info->flagInPDB++;
    }
    if(info->flagInPDB) {
        info->fptInPDB = fileOpen(info->InPDB, "r");
    }
    
    if(!info->flagOut) {
        stringGetFromFile(s, "Out", stdin, stdout, 0);
        info->Out = stringGetNthWord(s, 1, " ,");
        info->flagOut++;
    }
    if(info->flagOut) {
        info->fptOut = fileOpen(info->Out, "w");
    }
    
    if(info->flagHighLevel) {
    }
    
    if(info->flagLowLevel) {
    }
    
    if(info->flagconfigFile) {
        info->fptconfigFile = fileOpen(info->configFile, "r");
    }
    
    if(info->flagmode) {
    }
    
}
